import { YWRequestConfig } from '@ywfe/request';
export interface DesktopModuleInfoItem {
    resourceId?: string;
    resourceName?: string;
    url?: string;
    nameEn?: string;
}
export interface DesktopModuleInfoInput {
    /** (String) */
    moduleId?: string;
}
export interface DesktopModuleInfoData {
    moduleId?: string;
    moduleName?: string;
    moduleNameEn?: string;
    moduleRemark?: string;
    moduleIcon?: string;
    cloudCategoryId?: string;
    cloudCategoryName?: string;
    sort?: number;
    resourceNum?: number;
    isShow?: boolean;
    resourceList?: DesktopModuleInfoItem[];
    moduleType?: string;
    trailerText?: string;
    productUserId?: string;
    productUserName?: string;
    isPublish?: boolean;
}
export declare const useGetDesktopModuleInfo: () => {
    isDesktopModuleInfoLoading: boolean;
    dataDesktopModuleInfo: DesktopModuleInfoData;
    getDesktopModuleInfoData: (inputs: DesktopModuleInfoInput, config?: YWRequestConfig | undefined) => Promise<DesktopModuleInfoData>;
};
//# sourceMappingURL=GETDesktopModuleInfo.d.ts.map